<?xml version="1.0" encoding="UTF-8"?>

<!--
*
* JIMS ( http://forge.scilab.org/index.php/p/JIMS/ ) - This file is a part of JIMS
* Copyright (C) 2010 - 2011 - Calixte DENIZET <calixte@contrib.scilab.org>
*
* This file must be used under the terms of the CeCILL.
* This source file is licensed as described in the file COPYING, which
* you should have received as part of this distribution.  The terms
* are also available at
* http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
*
*
-->

<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="jwrapinchar">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>jwrapinchar</refname>
    <refpurpose>Wrap Scilab uint16 matrix into Java char multiarray.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
      [jw_1, jw_2, ...] = jwrapinchar(sc_1 [, sc_2 [, sc_3 [,... ]]])
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>sc_i</term>
        <listitem>
          <para>A Scilab variable</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>jw_i</term>
        <listitem>
          <para>A Java wrapping in a char of the corresponding Scilab variable</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      In Scilab, it exists the uint16 datatype which it has been wrapped in short, but it is possible to wrap it into char too with jwrapinchar.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">
      <![CDATA[
               c = jwrapinchar(uint16(123456));
      ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="jwrap">jwrap</link>
      </member>
      <member>
        <link linkend="jwrapinfloat">jwrapinfloat</link>
      </member>
      <member>
        <link linkend="junwrap">junwrap</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Author</title>
    <simplelist type="vert">
      <member>Calixte Denizet</member>
    </simplelist>
  </refsection>
</refentry>
